Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Merge branch 'dev'

  • Loading branch information...
commit 09067fd5d838d28fa1fd98371bd09a5503ca4bd3 2 parents d32e576 + b87c5bf
@thomasgriffin authored
Showing with 6 additions and 2 deletions.
  1. +5 −1 README
  2. +1 −1  tgm-plugin-activation/class-tgm-plugin-activation.php
View
6 README
@@ -3,7 +3,7 @@ Contributors: Thomas Griffin (@jthomasgriffin / thomasgriffinmedia.com)
Gary Jones (Github: @GaryJones / Twitter: GaryJ)
Version: 2.2.0
Requires at least: 3.0.0
-Tested up to: 3.3
+Tested up to: 3.3.1
== Description ==
@@ -35,6 +35,10 @@ You can also follow project progress and updates on Twitter. Follow us here at h
== Changelog ==
+= 2.2.1 =
+
+* Fixed bug that caused WordPress core upgrades to fail (WordPress doesn't check for including WP_Upgrader on core upgrades)
+
= 2.2.0 =
* Fixed erroneous links for plugins linked to the WordPress Repo
View
2  tgm-plugin-activation/class-tgm-plugin-activation.php
@@ -1571,7 +1571,7 @@ public function prepare_items() {
*
* @since 2.2.0
*/
-if ( ! class_exists( 'WP_Upgrader' ) && ( ! isset( $_GET[sanitize_key( 'action' )] ) || ! isset( $_GET[sanitize_key( 'activate' )] ) ) ) {
+if ( ! class_exists( 'WP_Upgrader' ) && isset( $_GET[sanitize_key( 'page' )] ) && TGM_Plugin_Activation::$instance->menu == $_GET[sanitize_key( 'page' )] ) {
require_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
if ( ! class_exists( 'TGM_Bulk_Installer' ) ) {
Please sign in to comment.
Something went wrong with that request. Please try again.